"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-cell-textarea",
  props: [
    "title",
    "valueModel",
    "borderTop",
    "required",
    "padding",
    "placeholder"
  ],
  emits: ["click", "update:valueModel", "onGetPhoneNumber"],
  setup(__props, { emit }) {
    const props = __props;
    const borderStyle = "1rpx solid #eee";
    const paddingStyle = "10rpx 0";
    const handleChange = (e) => {
      emit("update:valueModel", e.detail.value);
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.t((props == null ? void 0 : props.title) || "标题"),
        b: __props.required
      }, __props.required ? {} : {}, {
        c: (props == null ? void 0 : props.placeholder) || "请输入问题描述",
        d: common_vendor.o(handleChange),
        e: props.borderTop ? borderStyle : "",
        f: (props == null ? void 0 : props.padding) || paddingStyle
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-90b6b2a3"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-cell-textarea/hs-cell-textarea.vue"]]);
wx.createComponent(Component);
